Ruby: ruby_gc_params_t Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
ruby_gc_params_t Struct Reference

## Data Fields
size_t | heap_init_slots
size_t | heap_free_slots
double | growth_factor
size_t | growth_max_slots
double | heap_free_slots_min_ratio
double | heap_free_slots_goal_ratio
double | heap_free_slots_max_ratio
double | oldobject_limit_factor
size_t | malloc_limit_min
size_t | malloc_limit_max
double | malloc_limit_growth_factor
size_t | oldmalloc_limit_min
size_t | oldmalloc_limit_max
double | oldmalloc_limit_growth_factor
VALUE | gc_stress

## Detailed Description

Definition at line 313 of file gc.c.

## Field Documentation

## ◆ gc_stress

VALUE ruby_gc_params_t::gc_stress

Definition at line 332 of file gc.c.

## ◆ growth_factor

double ruby_gc_params_t::growth_factor

Definition at line 316 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ growth_max_slots

size_t ruby_gc_params_t::growth_max_slots

Definition at line 317 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ heap_free_slots

size_t ruby_gc_params_t::heap_free_slots

Definition at line 315 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ heap_free_slots_goal_ratio

double ruby_gc_params_t::heap_free_slots_goal_ratio

Definition at line 320 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ heap_free_slots_max_ratio

double ruby_gc_params_t::heap_free_slots_max_ratio

Definition at line 321 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ heap_free_slots_min_ratio

double ruby_gc_params_t::heap_free_slots_min_ratio

Definition at line 319 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ heap_init_slots

size_t ruby_gc_params_t::heap_init_slots

Definition at line 314 of file gc.c.

Referenced by Init_heap(), and ruby_gc_set_params().

## ◆ malloc_limit_growth_factor

double ruby_gc_params_t::malloc_limit_growth_factor

Definition at line 326 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ malloc_limit_max

size_t ruby_gc_params_t::malloc_limit_max

Definition at line 325 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ malloc_limit_min

size_t ruby_gc_params_t::malloc_limit_min

Definition at line 324 of file gc.c.

Referenced by rb_objspace_alloc(), and ruby_gc_set_params().

## ◆ oldmalloc_limit_growth_factor

double ruby_gc_params_t::oldmalloc_limit_growth_factor

Definition at line 330 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ oldmalloc_limit_max

size_t ruby_gc_params_t::oldmalloc_limit_max

Definition at line 329 of file gc.c.

Referenced by ruby_gc_set_params().

## ◆ oldmalloc_limit_min

size_t ruby_gc_params_t::oldmalloc_limit_min

Definition at line 328 of file gc.c.

Referenced by Init_heap(), and ruby_gc_set_params().

## ◆ oldobject_limit_factor

double ruby_gc_params_t::oldobject_limit_factor

Definition at line 322 of file gc.c.

Referenced by ruby_gc_set_params().

The documentation for this struct was generated from the following file:

- gc.c